Greetings,

We have released an updated version of the Windows Fiery Command Workstation 6.3SP1 package, to solve an error where Fiery Software Manager does not detect the KB2999226 Windows update, and erroneously states that the update still needs to be applied.

If you are currently experiencing this issue, please quit Fiery Software Manager from the systray,
and download/install the new package from our download site.

Note: This package still requires the KB2999226 update to be installed first, but now it detects it correctly. That update is years old, so most Windows computers will have it already.

I have listed all the relevant info in the attached Tech note, let me know if any questions.
TS Tech Note FSM does not detect KB2999226 Windows update.pdf

Merry Christmas & Happy Holidays everyone